Use the sheet.visible() method and sheetTabVisible to change whether the sheet is visible or get the visible status of the sheet.
The visible states:
hidden: The sheet tab is hidden, effect is equal to false.
visible: The sheet tab is visible, effect is equal to true, and it is the default value of sheetTabVisible.
veryHidden: The sheet tab is very hidden.
If you want to get a sheet visible status in the Spread component, you just need the following code:
If you want to hide a sheet in the Spread component, you just need the following code:
If you want to hide a sheet deeply (which means it cannot unhidden with the UI) in the Spread component, you just need the following code:
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import { useState } from 'react';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
export function AppFunc() {
const [spread, setSpread] = useState(null);
const initSpread = (spread) => {
setSpread(spread);
}
const showSheet = () => {
for (let i = 0; i < spread.sheets.length; i++) {
if (spread.sheets[i].visible() === 0) {
spread.sheets[i].visible(true);
break;
}
}
}
const hideSheet = () => {
var sheet = spread.getActiveSheet();
if (sheet) {
var activeIndex = spread.getActiveSheetIndex();
if (activeIndex - 1 >= 0) {
spread.setActiveSheetIndex(activeIndex - 1);
}
sheet.visible(false);
}
}
const btnShowVeryHidden = () => {
for (var i = 0; i < spread.sheets.length; i++) {
if (spread.sheets[i].visible() === 2) {
spread.sheets[i].visible(true);
break;
}
}
}
const btnVeryHidden = () => {
var sheet = spread.getActiveSheet();
if (sheet) {
sheet.visible(2);
}
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet></Worksheet>
</SpreadSheets>
</div>
<Panel
showSheet={() => showSheet()}
hideSheet={() => hideSheet()}
btnShowVeryHidden={() => btnShowVeryHidden()}
btnVeryHidden={() => btnVeryHidden()}
></Panel>
</div>
);
}
function Panel(props) {
return (
<div className="options-container">
<div className="options-row">
<input type="button" value="Hide Sheet" onClick={props.hideSheet} />
</div>
<div className="options-row">
<input type="button" value="Show Sheet" onClick={props.showSheet} />
</div>
<div className="options-row">
<input type="button" value="Very Hide Sheet" onClick={props.btnVeryHidden} />
</div>
<div className="options-row">
<input type="button" value="Show Very Hide Sheet" onClick={props.btnShowVeryHidden} />
</div>
</div>
);
}
import * as React from 'react';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet></Worksheet>
</SpreadSheets>
</div>
<Panel
showSheet={() => this.showSheet()}
hideSheet={() => this.hideSheet()}
btnShowVeryHidden={() => this.btnShowVeryHidden()}
btnVeryHidden={() => this.btnVeryHidden()}
></Panel>
</div>
);
}
initSpread(spread) {
this.spread = spread;
}
showSheet() {
let spread = this.spread;
for (var i = 0; i < spread.sheets.length; i++) {
if (spread.sheets[i].visible() === 0) {
spread.sheets[i].visible(true);
break;
}
}
}
hideSheet() {
let spread = this.spread;
var sheet = spread.getActiveSheet();
if (sheet) {
var activeIndex = spread.getActiveSheetIndex();
if (activeIndex - 1 >= 0) {
spread.setActiveSheetIndex(activeIndex - 1);
}
sheet.visible(false);
}
}
btnShowVeryHidden() {
let spread = this.spread;
for (var i = 0; i < spread.sheets.length; i++) {
if (spread.sheets[i].visible() === 2) {
spread.sheets[i].visible(true);
break;
}
}
}
btnVeryHidden() {
let spread = this.spread;
var sheet = spread.getActiveSheet();
if (sheet) {
sheet.visible(2);
}
}
}
function Panel(props) {
return (
<div className="options-container">
<div className="options-row">
<input type="button" value="Hide Sheet" onClick={props.hideSheet} />
</div>
<div className="options-row">
<input type="button" value="Show Sheet" onClick={props.showSheet} />
</div>
<div className="options-row">
<input type="button" value="Very Hide Sheet" onClick={props.btnVeryHidden} />
</div>
<div className="options-row">
<input type="button" value="Show Very Hide Sheet" onClick={props.btnShowVeryHidden} />
</div>
</div>
);
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/data.js" type="text/javascript"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.options-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
input {
display: inline-block;
}
input[type="text"] {
width: 200px;
}
label {
margin-bottom: 6px;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

Use the sheet.visible() method and sheetTabVisible to change whether the sheet is visible or get the visible status of the sheet.
The visible states:
hidden: The sheet tab is hidden, effect is equal to false.
visible: The sheet tab is visible, effect is equal to true, and it is the default value of sheetTabVisible.
veryHidden: The sheet tab is very hidden.
If you want to get a sheet visible status in the Spread component, you just need the following code:
If you want to hide a sheet in the Spread component, you just need the following code:
If you want to hide a sheet deeply (which means it cannot unhidden with the UI) in the Spread component, you just need the following code:
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
const spreadNS = GC.Spread.Sheets, SheetArea = spreadNS.SheetArea;
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
this.dataSource = dataSource;
}
initSpread($event: any) {
this.spread = $event.spread;
}
showSheet () {
let spread = this.spread;
for (var i = 0; i < spread.sheets.length; i++) {
if (spread.sheets[i].visible() === 0) {
spread.sheets[i].visible(true);
break;
}
}
}
hideSheet () {
let spread = this.spread;
var sheet = spread.getActiveSheet();
if (sheet) {
sheet.visible(false);
}
}
btnShowVeryHidden () {
let spread = this.spread;
for (var i = 0; i < spread.sheets.length; i++) {
if (spread.sheets[i].visible() === 2) {
spread.sheets[i].visible(true);
break;
}
}
}
btnVeryHidden () {
let spread = this.spread;
var sheet = spread.getActiveSheet();
if (sheet) {
sheet.visible(2);
}
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule, FormsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/data.js" type="text/javascript"></script>
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="options-row">
<input type="button" value="Show Sheet" (click)="showSheet()"/>
</div>
<div class="options-row">
<input type="button" value="Hide Sheet" (click)="hideSheet()"/>
</div>
<div class="options-row">
<input type="button" value="Very Hide Sheet" (click)="btnVeryHidden()"/>
</div>
<div class="options-row">
<input type="button" value="Show Very Hide Sheet" (click)="btnShowVeryHidden()"/>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.options-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
input {
display: inline-block;
}
input[type="text"] {
width: 200px;
}
label {
width: 40px;
display: inline-block;
margin-bottom: 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

Use the sheet.visible() method and sheetTabVisible to change whether the sheet is visible or get the visible status of the sheet.
The visible states:
hidden: The sheet tab is hidden, effect is equal to false.
visible: The sheet tab is visible, effect is equal to true, and it is the default value of sheetTabVisible.
veryHidden: The sheet tab is very hidden.
If you want to get a sheet visible status in the Spread component, you just need the following code:
If you want to hide a sheet in the Spread component, you just need the following code:
If you want to hide a sheet deeply (which means it cannot unhidden with the UI) in the Spread component, you just need the following code:
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="options-row">
<input type="button" value="Show Sheet" @click="showSheet()"/>
</div>
<div class="options-row">
<input type="button" value="Hide Sheet" @click="hideSheet()"/>
</div>
<div class="options-row">
<input type="button" value="Very Hide Sheet" @click="btnVeryHidden()"/>
</div>
<div class="options-row">
<input type="button" value="Show Very Hide Sheet" @click="btnShowVeryHidden()"/>
</div>
</div>
</div>
</template>
<script>
import Vue from 'vue';
import '@mescius/spread-sheets-vue'
import GC from '@mescius/spread-sheets';
import './styles.css';
let App = Vue.extend({
name: "app",
data: function () {
return {
spread: null,
autoGenerateColumns: true,
setZoom: 1
};
},
watch: {
},
methods: {
initSpread: function (spread) {
this.spread = spread;
},
showSheet () {
let spread = this.spread;
for (var i = 0; i < spread.sheets.length; i++) {
if (spread.sheets[i].visible() === 0) {
spread.sheets[i].visible(true);
break;
}
}
},
hideSheet () {
let spread = this.spread;
var sheet = spread.getActiveSheet();
if (sheet) {
var activeIndex = spread.getActiveSheetIndex();
if (activeIndex - 1 >= 0) {
spread.setActiveSheetIndex(activeIndex - 1);
}
sheet.visible(false);
}
},
btnShowVeryHidden () {
let spread = this.spread;
for (var i = 0; i < spread.sheets.length; i++) {
if (spread.sheets[i].visible() === 2) {
spread.sheets[i].visible(true);
break;
}
}
},
btnVeryHidden () {
let spread = this.spread;
var sheet = spread.getActiveSheet();
if (sheet) {
sheet.visible(2);
}
}
}
});
new Vue({render: h => h(App)}).$mount('#app');
</script>
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/vue/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/data.js" type="text/javascript"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/vue/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.vue');
System.import('$DEMOROOT$/en/lib/vue/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.options-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
input {
display: inline-block;
}
input[type="text"] {
width: 160px;
}
label {
display: inline-block;
margin-bottom: 6px;
width: 200px;
}
select {
width: 120px;
height: 35px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: 'vue-loader' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.min.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
}
}
});
})(this);